Package org.mozilla.javascript.tools.debugger.treetable

## Interface TreeTableModel

- All Superinterfaces:
    `javax.swing.tree.TreeModel`

      public interface TreeTableModel
      extends javax.swing.tree.TreeModel

  TreeTableModel is the model used by a JTreeTable. It extends TreeModel to add methods for getting inforamtion about the set of columns each node in the TreeTableModel may have. Each column, like a column in a TableModel, has a name and a type associated with it. Each node in the TreeTableModel can return a value for each of the columns and set that value if isCellEditable() returns true.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Class<?>` | `getColumnClass​(int column)` | Returns the type for column number `column`.
    `int` | `getColumnCount()` | Returns the number ofs availible column.
    `java.lang.String` | `getColumnName​(int column)` | Returns the name for column number `column`.
    `java.lang.Object` | `getValueAt​(java.lang.Object node, int column)` | Returns the value to be displayed for node `node`, at column number `column` .
    `boolean` | `isCellEditable​(java.lang.Object node, int column)` | Indicates whether the the value for node `node`, at column number `column` is editable.
    `void` | `setValueAt​(java.lang.Object aValue, java.lang.Object node, int column)` | Sets the value for node `node`, at column number `column`.

    - ### Methods inherited from interface javax.swing.tree.TreeModel

      `addTreeModelListener, getChild, getChildCount, getIndexOfChild, getRoot, isLeaf, removeTreeModelListener, valueForPathChanged`

- - ### Method Detail

    - #### getColumnCount

          int getColumnCount()

      Returns the number ofs availible column.

    - #### getColumnName

          java.lang.String getColumnName​(int column)

      Returns the name for column number `column`.

    - #### getColumnClass

          java.lang.Class<?> getColumnClass​(int column)

      Returns the type for column number `column`.

    - #### getValueAt

          java.lang.Object getValueAt​(java.lang.Object node,
                                      int column)

      Returns the value to be displayed for node `node`, at column number `column` .

    - #### isCellEditable

          boolean isCellEditable​(java.lang.Object node,
                                 int column)

      Indicates whether the the value for node `node`, at column number `column` is editable.

    - #### setValueAt

          void setValueAt​(java.lang.Object aValue,
                          java.lang.Object node,
                          int column)

      Sets the value for node `node`, at column number `column`.